Package org.jbpm.services.task.commands

## Class CompleteTaskCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Void>
    - - org.jbpm.services.task.commands.CompleteTaskCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Void>`, `org.kie.api.command.ExecutableCommand<Void>`

      public class CompleteTaskCommand
      extends UserGroupCallbackTaskCommand<Void>

  Operation.Start : [ new OperationCommand().{ status = [ Status.Ready ], allowed = [ Allowed.PotentialOwner ], setNewOwnerToUser = true, newStatus = Status.InProgress }, new OperationCommand().{ status = [ Status.Reserved ], allowed = [ Allowed.Owner ], newStatus = Status.InProgress } ], *
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Map<String,​Object>` | `data` |

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompleteTaskCommand()` |
    `CompleteTaskCommand​(long taskId, String userId, Map<String,​Object> data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Void` | `execute​(org.kie.api.runtime.Context cntxt)` |
    `Map<String,​Object>` | `getData()` |
    `void` | `setData​(Map<String,​Object> data)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand

      `addEmailFromCallbackOperation, addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackAndReturnUserOperation, doCallbackEmailOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, isBusinessAdmin, persistIfNotExists`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected Map<String,​Object> data

  - ### Constructor Detail

    - #### CompleteTaskCommand

          public CompleteTaskCommand()

    - #### CompleteTaskCommand

          public CompleteTaskCommand​(long taskId,
                                     String userId,
                                     Map<String,​Object> data)

  - ### Method Detail

    - #### getData

          public Map<String,​Object> getData()

    - #### setData

          public void setData​(Map<String,​Object> data)

    - #### execute

          public Void execute​(org.kie.api.runtime.Context cntxt)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Void>`
      Overrides:
        `execute` in class `UserGroupCallbackTaskCommand<Void>`